Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.anim.timing
Class RepeatTimingSpecifier

    java.lang.Object
      org.apache.batik.anim.timing.TimingSpecifier
          org.apache.batik.anim.timing.OffsetTimingSpecifier
              org.apache.batik.anim.timing.EventLikeTimingSpecifier
                  org.apache.batik.anim.timing.EventbaseTimingSpecifier
                      org.apache.batik.anim.timing.RepeatTimingSpecifier

All Implemented Interfaces:
  EventListener

    public class RepeatTimingSpecifier

extends EventbaseTimingSpecifier

A class to handle repeat event SMIL timing specifiers.

Field Summary
`protected int` | `repeatIteration` The repeat iteration.
`protected boolean` | `repeatIterationSpecified` Whether a repeat iteration was specified.

Fields inherited from class org.apache.batik.anim.timing.EventbaseTimingSpecifier
`eventbase, eventbaseID, eventName, eventNamespaceURI, eventTarget, eventType`

Fields inherited from class org.apache.batik.anim.timing.OffsetTimingSpecifier
`offset`

Fields inherited from class org.apache.batik.anim.timing.TimingSpecifier
`isBegin, owner`

Constructor Summary
`RepeatTimingSpecifier(TimedElement owner, boolean isBegin, float offset, String syncbaseID)` Creates a new RepeatTimingSpecifier object without a repeat iteration.
`RepeatTimingSpecifier(TimedElement owner, boolean isBegin, float offset, String syncbaseID, int repeatIteration)` Creates a new RepeatTimingSpecifier object with a repeat iteration.

Method Summary
`void` | `handleEvent(Event e)` Handles an event fired on the eventbase element.
`String` | `toString()` Returns a string representation of this timing specifier.

Methods inherited from class org.apache.batik.anim.timing.EventbaseTimingSpecifier
`deinitialize, initialize, resolve`

Methods inherited from class org.apache.batik.anim.timing.EventLikeTimingSpecifier
`isEventCondition`

Methods inherited from class org.apache.batik.anim.timing.TimingSpecifier
`getOwner, isBegin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### repeatIteration

    protected int repeatIteration

  The repeat iteration.

### repeatIterationSpecified

    protected boolean repeatIterationSpecified

  Whether a repeat iteration was specified.

Constructor Detail

### RepeatTimingSpecifier

    public RepeatTimingSpecifier(TimedElement owner,
                                 boolean isBegin,
                                 float offset,
                                 String syncbaseID)

  Creates a new RepeatTimingSpecifier object without a repeat iteration.

### RepeatTimingSpecifier

    public RepeatTimingSpecifier(TimedElement owner,
                                 boolean isBegin,
                                 float offset,
                                 String syncbaseID,
                                 int repeatIteration)

  Creates a new RepeatTimingSpecifier object with a repeat iteration.

Method Detail

### toString

    public String toString()

  Returns a string representation of this timing specifier.

  Overrides:
    `toString` in class `EventbaseTimingSpecifier`

### handleEvent

    public void handleEvent(Event e)

  Handles an event fired on the eventbase element.

  Specified by:
    `handleEvent` in interface `EventListener`
  Overrides:
    `handleEvent` in class `EventbaseTimingSpecifier`
  Parameters:
    `e` - The `Event` contains contextual information about the event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.